<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.7

Copyright (C) 2006-2007  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

session_start(); 
include_once("../inc/config.inc.php");
include_once("../inc/func_log.inc.php");
if (CheckURLLog(TRUE)==FALSE) header("Location: ../index.php");
if (CheckNivLog("5-9")==FALSE) header("Location: ../index.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
Archivelog(@$_SESSION["code_log"]);

if (isset($_GET['name']))
{
	$retourliste=TRUE;
	$nom_ficdir = strtolower(trim($_GET['name']));
	if ((substr($nom_ficdir, 0, 1) <> '.') AND (substr($nom_ficdir, 0, 2) <> '..')) // Contrôle de hack
	{
		$td = @$_GET['td'];

		$chemin_complet = $url_gfc."/".$nom_ficdir;
		
		$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);

		switch ($td)
		{
			case 0 :
				if (is_dir($chemin_complet))
				{
					$rech = "UPDATE `" .TBFIC. "` SET `fic_codecrea`='".$admin_code."'  WHERE `fic_nom` = '".$chemin_complet."'";
					$rs = mysql_query($rech) or die(mysql_error());
					$msg = "Vous êtes le nouveau propriétaire de ce répertoire";
				}
				else
				{
					$msg = "Ce n'est pas un répertoire !";
					$retourliste = FALSE;
				}
				break;

			case 1 :
				if (is_file($chemin_complet))
				{
					$rech = "UPDATE `" .TBFIC. "` SET `fic_codecrea`='".$admin_code."'  WHERE `fic_nom` = '".$chemin_complet."'";
					$rs = mysql_query($rech) or die(mysql_error());

					$msg = "Vous êtes le nouveau propriétaire de ce fichier";
				}
				else
				{
					$msg = "Ce fichier n'existe pas !";
					$retourliste = FALSE;
				}
				break;
			default :
				$retourliste=FALSE;
				break;
		}
		mysql_close($conn);
	}
}
else
{
	$msg = "Syntaxe incorrecte";
	$retourliste = FALSE;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Appropriation Fichier ou R&eacute;pertoire</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

</head>
<body>

<p align="center"><span class="titrepage">APPROPRIATION DE REPERTOIRE/FICHIER</span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>
<?PHP
if ($retourliste == TRUE)
{
?>
	<p align="center" class="annot_std_it">Retour à la liste des fichiers dans 2 secondes...</p>
	<!-- Fermeture temporisée -->
	<script type="text/javascript">
		window.opener.location.reload();
		setTimeout("self.close('fscomp');",2000)
	</script>
<?PHP
}
else
{
?>
	<p align="center" class="annot_std_it">Retour à la liste des fichiers dans 5 secondes...</p>
	<!-- Fermeture temporisée -->
	<script type="text/javascript">
		window.opener.location.reload();
		setTimeout("self.close('fscomp');",5000)
	</script>
<?PHP
}
?>
<p align="center">Sinon, <a href="javascript:void(0)" onClick="javascript:; window.opener.location.reload(); self.close('fscomp');">cliquez ici</a> </p>

</body>
</html>
